/// Regex and prefix holder for account types.
class NanoAccountType {
  static const int NANO = 1;
  static const int BANANO = 2;
  static const int PAW = 3;
  static const String NANO_REGEX =
      r"(xrb|nano)(_)(1|3)[13456789abcdefghijkmnopqrstuwxyz]{59}";
  static const String BANANO_REGEX =
      r"(ban)(_)(1|3)[13456789abcdefghijkmnopqrstuwxyz]{59}";
  static const String PAW_REGEX =
      r"(paw)(_)(1|3)[13456789abcdefghijkmnopqrstuwxyz]{59}";

  static String getPrefix(int type) {
    switch (type) {
      case NANO:
        return "nano_";
      case BANANO:
        return "ban_";
      case PAW:
        return "paw_";
      default:
        return "paw_";
    }
  }

  static String getRegex(int type) {
    switch (type) {
      case NANO:
        return NANO_REGEX;
      case BANANO:
        return BANANO_REGEX;
      case PAW:
        return PAW_REGEX;
      default:
        return PAW_REGEX;
    }
  }
}
